from portkey_ai import Portkey
# Initialize the Portkey client
portkey = Portkey(
api_key="PORTKEY_API_KEY",
)
# Update a specific integration
integration = portkey.integrations.update(
slug="INTEGRATION_SLUG',
name="updated-name",
note="hello"
)
print(integration){}Update Integration
PUT
/
integrations
/
{slug}
from portkey_ai import Portkey
# Initialize the Portkey client
portkey = Portkey(
api_key="PORTKEY_API_KEY",
)
# Update a specific integration
integration = portkey.integrations.update(
slug="INTEGRATION_SLUG',
name="updated-name",
note="hello"
)
print(integration){}Authorizations
Path Parameters
Body
application/json
Human-readable name for the integration
Example:
"Production OpenAI"
API key for the provider (if required)
Example:
"sk-..."
Optional description of the integration
Example:
"Production OpenAI integration for customer-facing applications"
Provider-specific configuration object
- OpenAI
- Azure OpenAI
- AWS Bedrock
- Vertex AI
- Azure AI
- Workers AI
- AWS Sagemaker
- Hugginface
- Cortex
- Custom Base URL
Show child attributes
Show child attributes
Dynamically resolve secrets from secret references at runtime. Valid target_field values are "key" or "configurations." (e.g. "configurations.aws_secret_access_key", "configurations.azure_entra_client_secret"). Each target_field must be unique.
Show child attributes
Show child attributes
Response
200 - application/json
Successful response
The response is of type object.
Last modified on April 17, 2026
Was this page helpful?
⌘I

